<h3>Law type</h3>
<nz-select [(ngModel)]="selectedLawType" style="width: 100%" nzShowSearch (ngModelChange)="resetForm()">
  <!-- (ngModelChange)="handleTypeChange()" -->
  <nz-option *ngFor="let law of lawTypes" nzLabel="{{ 'Politics.Laws.' + law.label | translate }}" [nzValue]="law">
  </nz-option>
</nz-select>

<div *ngIf="selectedLawType">
  <nz-divider></nz-divider>
  <app-country-law-propose-region-name-change *ngIf="selectedLawType.key === 'region-name-change'" [(form)]="form"
    [countryId]="countryId">
  </app-country-law-propose-region-name-change>
  <app-country-law-propose-declare-war *ngIf="selectedLawType.key === 'declare-war'" [(form)]="form">
  </app-country-law-propose-declare-war>
  <app-country-law-propose-citizen-fee *ngIf="selectedLawType.key === 'citizen-fee'" [(form)]="form">
  </app-country-law-propose-citizen-fee>
  <app-country-law-propose-minimal-wage *ngIf="selectedLawType.key === 'minimal-wage'" [(form)]="form">
  </app-country-law-propose-minimal-wage>
  <app-country-law-propose-new-welcome-message *ngIf="selectedLawType.key === 'welcome-message'" [(form)]="form">
  </app-country-law-propose-new-welcome-message>
  <app-country-law-propose-peace *ngIf="selectedLawType.key === 'peace'" [(form)]="form" [countryId]="countryId">
  </app-country-law-propose-peace>
  <app-country-law-propose-taxes *ngIf="selectedLawType.key === 'tax-change'" [(form)]="form">
  </app-country-law-propose-taxes>
  <app-country-law-propose-trade-embargo *ngIf="selectedLawType.key === 'embargo'" [(form)]="form">
  </app-country-law-propose-trade-embargo>
  <app-country-law-propose-national-organization *ngIf="selectedLawType.key === 'national-organization'" [(form)]="form"
    [currentCountry]="currentCountry"></app-country-law-propose-national-organization>
  <app-country-law-propose-construction *ngIf="selectedLawType.key === 'construction'" [(form)]="form"
    [currentCountry]="currentCountry">
  </app-country-law-propose-construction>
  <app-country-law-propose-border *ngIf="
        selectedLawType.key === 'reopen-border' ||
        selectedLawType.key === 'close-border'
      " [(form)]="form" [type]="selectedLawType.key"></app-country-law-propose-border>
  <app-country-law-propose-transfer-leadership *ngIf="selectedLawType.key === 'transfer-leadership'" [(form)]="form"
    [countryId]="countryId">
  </app-country-law-propose-transfer-leadership>
  <app-country-law-propose-withdraw-currency *ngIf="selectedLawType.key === 'withdraw-currency'" [(form)]="form"
    [countryId]="countryId">
  </app-country-law-propose-withdraw-currency>
  <app-country-law-propose-print-currency *ngIf="selectedLawType.key === 'print-currency'" [(form)]="form">
  </app-country-law-propose-print-currency>
  <app-countries-laws-propose-change-flag *ngIf="selectedLawType.key === 'change-flag'" [(form)]="form">
  </app-countries-laws-propose-change-flag>

  <app-country-law-propose-trade-agreement *ngIf="selectedLawType.key === 'trade-agreement'" [(form)]="form"
    [countryId]="countryId">
  </app-country-law-propose-trade-agreement>
  <app-country-law-propose-trade-agreement-cancel *ngIf="selectedLawType.key === 'trade-agreement-cancel'"
    [(form)]="form" [countryId]="countryId"></app-country-law-propose-trade-agreement-cancel>
  <app-newspaper-consorship-law-propose *ngIf="selectedLawType.key === 'newspaper-censorship'" [(form)]="form"
    [countryId]="countryId">
  </app-newspaper-consorship-law-propose>
  <app-country-law-propose-trade-embargo *ngIf="selectedLawType.key === 'trade-embargo'" [(form)]="form"
    [countryId]="countryId">
  </app-country-law-propose-trade-embargo>
  <app-country-law-propose-trade-embargo-cancel *ngIf="selectedLawType.key === 'trade-embargo-cancel'" [(form)]="form"
    [countryId]="countryId">
  </app-country-law-propose-trade-embargo-cancel>
  <app-country-law-propose-revoke-citizenship-law *ngIf="selectedLawType.key === 'revoke-citizenship'" [(form)]="form"
    [countryId]="countryId"></app-country-law-propose-revoke-citizenship-law>


  <!-- <app-countries-laws-propose-newspaper-censorship
    *ngIf="selectedLawType.key === 'newspaper-censorship'"
    [(form)]="form"
  >
  </app-countries-laws-propose-newspaper-censorship> -->

  <nz-divider></nz-divider>
  <div nz-row>
    <div nz-col nzSpan="24">
      <div style="float: right">
        <button nz-button nzShape="round" nzType="primary" (click)="handleOk()"
          [disabled]="!selectedLawType || form?.status === 'INVALID'" [nzLoading]="isLoading">
          {{ "Common.Buttons.Propose" | translate }}
        </button>
      </div>
    </div>
  </div>
</div>
